Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet.filter
Class EventRequestWrapper

    java.lang.Object
      javax.portlet.filter.PortletRequestWrapper
          javax.portlet.filter.EventRequestWrapper

All Implemented Interfaces
  EventRequest, PortletRequest

    public class EventRequestWrapper

extends PortletRequestWrapper
implements EventRequest

The `EventRequestWrapper` provides a convenient implementation of the `EventRequest` interface that can be subclassed by developers wishing to adapt the request. This class implements the Wrapper or Decorator pattern. Methods default to calling through to the wrapped request object.

Since:
  2.0
See Also
  `EventRequest`

Nested Class Summary

Nested classes/interfaces inherited from interface javax.portlet.PortletRequest
`PortletRequest.P3PUserInfos`

Field Summary

Fields inherited from interface javax.portlet.PortletRequest
`ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

Constructor Summary
`EventRequestWrapper(EventRequest request)` Creates an `EventRequest` adaptor wrapping the given request object.

Method Summary
`Event` | `getEvent()` The default behavior of this method is to call `getEvent()` on the wrapped request object.
`String` | `getMethod()` The default behavior of this method is to call `getMethod()` on the wrapped request object.
`EventRequest` | `getRequest()` Return the wrapped request object.
`void` | `setRequest(EventRequest request)` Sets the request object being wrapped.

Methods inherited from class javax.portlet.filter.PortletRequestWrapper
`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Constructor Detail

### EventRequestWrapper

    public EventRequestWrapper(EventRequest request)

  Creates an `EventRequest` adaptor wrapping the given request object.

  Parameters
    `request` - the event request to wrap
  Throws
    `IllegalArgumentException` - if the request is `null`

Method Detail

### getRequest

    public EventRequest getRequest()

  Return the wrapped request object.

  Overrides:
    `getRequest` in class `PortletRequestWrapper`
  Returns
    the wrapped request

### setRequest

    public void setRequest(EventRequest request)

  Sets the request object being wrapped.

  Parameters
    `request` - the request to set
  Throws
    `IllegalArgumentException` - if the request is null.

### getEvent

    public Event getEvent()

  The default behavior of this method is to call `getEvent()` on the wrapped request object.

  Specified by:
    `getEvent` in interface `EventRequest`
  Returns
    the event that triggered the current processEvent call.

### getMethod

    public String getMethod()

  The default behavior of this method is to call `getMethod()` on the wrapped request object.

  Specified by:
    `getMethod` in interface `EventRequest`
  Returns
    a String specifying the name of the HTTP method with which this request was made

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.